#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	pyparsing
Summary:	pyparsing - Python 2 module for creating executing simple grammars
Summary(pl.UTF-8):	pyparsing - moduł Pythona 2 umożliwiający tworzenie i parsowanie prostych gramatyk
Name:		python-%{module}
Version:	2.4.6
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyparsing/
Source0:	https://files.pythonhosted.org/packages/source/p/pyparsing/%{module}-%{version}.tar.gz
# Source0-md5:	29733ea8cbee0291aad121c69c6e51a1
URL:		https://github.com/pyparsing/pyparsing/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%endif
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The parsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or
the use of regular expressions. The parsing module provides a library
of classes that client code uses to construct the grammar directly in
Python code.

%description -l pl.UTF-8
Moduł pyparsing umożliwia tworzenie i parsowanie prostych gramatyk w
sposób odmienny od podejścia tradycyjnego, jakim jest zwykle użycie
pary lex/yacc lub wyrażeń regularnych. Moduł ten udostępnia bibliotekę
klas, przy pomocy których gramatyka tworzona jest wprost w kodzie
Pythona.

%package -n python3-%{module}
Summary:	pyparsing - Python 3 module for creating executing simple grammars
Summary(pl.UTF-8):	pyparsing - moduł Pythona 3 umożliwiający tworzenie i parsowanie prostych gramatyk
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
The parsing module is an alternative approach to creating and
executing simple grammars, vs. the traditional lex/yacc approach, or
the use of regular expressions. The parsing module provides a library
of classes that client code uses to construct the grammar directly in
Python code.

%description -n python3-%{module} -l pl.UTF-8
Moduł pyparsing umożliwia tworzenie i parsowanie prostych gramatyk w
sposób odmienny od podejścia tradycyjnego, jakim jest zwykle użycie
pary lex/yacc lub wyrażeń regularnych. Moduł ten udostępnia bibliotekę
klas, przy pomocy których gramatyka tworzona jest wprost w kodzie
Pythona.

%package doc
Summary:	Documentation for pyparsing module
Summary(pl.UTF-8):	Dokumentacja do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for pyparsing Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona pyparsing.

%package examples
Summary:	Examples for pyparsing module
Summary(pl.UTF-8):	Przykłady do modułu pyparsing
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyparsing Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyparsing.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version}}

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py_sitescriptdir}/pyparsing.py[co]
%{py_sitescriptdir}/pyparsing-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py3_sitescriptdir}/pyparsing.py
%{py3_sitescriptdir}/__pycache__/pyparsing*.py[co]
%{py3_sitescriptdir}/pyparsing-*.egg-info
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Mar 05 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyparsing.git;a=log;h=master

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 726efad
- release 4 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 097755e
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 39b7ad3
- release 2 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 07c24db
- updated to 2.4.6

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 6b69d89
- release 4 (by relup.sh)

* Tue Oct 29 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2199724
- rel 3; fix build without doc

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1f06f66
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Oct 21 2019 Jakub Bogusz <qboosh@pld-linux.org> ca21311
- typo

* Mon Oct 21 2019 Jakub Bogusz <qboosh@pld-linux.org> f3ca9dc
- new URLs, updated to 2.4.2

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> f788c3e
- without setuptools bcond added

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 00f6c31
- release 2 (by relup.sh)

* Thu Apr 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 1b756be
- updated to 2.2.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dad9a3
- python 3.6
- release 2 (by relup.sh)

* Mon Dec 26 2016 Jakub Bogusz <qboosh@pld-linux.org> e4aedfa
- updated to 2.1.10

* Fri May 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 5291fbb
- updated to 2.1.4

* Sun Apr 03 2016 Jakub Bogusz <qboosh@pld-linux.org> cdfeea3
- updated to 2.1.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 80f0263
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d2a4c9c
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f6ee406
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7182012
- release 3 (by relup.sh)

